Subject: Re: bug#29396: Comm bug verified

From: Assaf Gordon <[email-masked]>
Date: Thu, 23 Nov 2017 10:50:05 -0700

(re-adding the mailing list)

Hello,

On 2017-11-22 12:39 PM, Saint Michael wrote:
> Thanks for the explanation
> Is there a place to download the source code?
> I want to compile a version that ignore spaces on the right, since 99% 
> of the time I forget to check the line endings.
> or maybe you could consider a switch to the tool that would make it 
> ignore traing spaces when comparing lines.

The source code for GNU coreutils is available here:
   https://git.savannah.gnu.org/cgit/coreutils.git

However,
I would recommend the 'sed' method below, as a much simpler
way to remove trailing spaces (instead of maintaining a custom modified
coreutils binaries).

>     To remove the trailing spaces on the file, try:
> 
>         $ sed 's/  *$//' file2.csv > file2-no-space.csv
> 
>         $ comm -12 file1.csv file2-no-space.csv  | wc -l
>         864
> 
>         $ join file1.csv file2.csv | wc -l
>         864

regards,
  - assaf